#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.1.8
visibility:           public
id:                   wai-extra-3.1.8-HMIPip9OhjZ2RAcuN5MpF8
key:                  wai-extra-3.1.8-HMIPip9OhjZ2RAcuN5MpF8
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  dd4e7d2c16f738f4ee306305fa8363cc
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RealIp Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.RequestSizeLimit
    Network.Wai.Middleware.RequestSizeLimit.Internal
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/wai-extra-3.1.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/wai-extra-3.1.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-wai-extra
hs-libraries:         HSwai-extra-3.1.8-HMIPip9OhjZ2RAcuN5MpF8
depends:
    HUnit-1.6.2.0-Bztf4HcKbeB1scK8uT9SaI
    aeson-1.5.6.0-C19GJXDSM92LJPi4EK7PL5
    ansi-terminal-0.11.1-3bF8hvpb5rt8AmpxYz60ww base-4.15.1.0
    base64-bytestring-1.2.1.0-D33qXGXKpGmJ3T6mGyl7f0
    bytestring-0.10.12.1 call-stack-0.4.0-7NeU7cTGZz97z9ZklAbz0E
    case-insensitive-1.2.1.0-AmrqIhTD8km9mbo5tnh83Q containers-0.6.4.1
    cookie-0.4.5-B1GcTZOCb6yBzxFcoqFiFA
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO directory-1.3.6.2
    fast-logger-3.1.1-Dlv2fZ2vHBQK1s4SaPLrUV
    http-types-0.12.3-2bCY8ruZ9ekKCi90A515H
    http2-3.0.2-7zOxuET3VtjDNH6OcQ3lQs
    iproute-1.7.12-HevOmryDnl63GBsIGDJKeM
    network-3.1.2.7-EuFNMFR0kXs1j7tEW9CoN1
    resourcet-1.2.4.3-G64JY14korRHLD6U5EyRCs
    streaming-commons-0.2.2.4-17afb4w9Gtq9opXZ43eNPB text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    vault-0.3.1.5-8oiM6aAk8x77Im3FdwlWwM
    wai-3.2.3-4qrTrhWo6X0DM1kprJSYou
    wai-logger-2.4.0-DUxpENIqmHQ6yZ7tzaIe3z
    word8-0.1.3-AazxEC5xyKiELvx3OUlEW

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

